core.content

## Class SpriteContent

- java.lang.Object
- - core.content.Content
  - - core.content.SpriteContent

-     public class SpriteContent
      extends Content

  Created with IntelliJ IDEA. User: Diego Date: 18/10/13 Time: 07:01 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.Integer>` | `itypes` Indicates the int - types of the sprite (hierarchical identifiers).
    `java.lang.String` | `referenceClass` Class of the element defined by this content.
    `java.util.ArrayList<java.lang.Integer>` | `subtypes` All types under this type in the hierarchy, including itself.

    - ### Fields inherited from class core.content.Content

      `identifier, is_definition, line, parameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpriteContent()` Default constructor.
    `SpriteContent(java.lang.String line)` Constructor that extracts the contents from a String line
    `SpriteContent(java.lang.String id, java.lang.String refClass)` Simple constructor that receives and identifier and a reference class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignTypes(java.util.ArrayList<java.lang.String> types)`
    `java.lang.String` | `toString()` Returns the original line of the content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### referenceClass

          public java.lang.String referenceClass

      Class of the element defined by this content. It is only assigned when processing the tree of contents.

    - #### itypes

          public java.util.ArrayList<java.lang.Integer> itypes

      Indicates the int - types of the sprite (hierarchical identifiers). From the type till the top of the hierarchy.

    - #### subtypes

          public java.util.ArrayList<java.lang.Integer> subtypes

      All types under this type in the hierarchy, including itself.

  - ### Constructor Detail

    - #### SpriteContent

          public SpriteContent()

      Default constructor.

    - #### SpriteContent

          public SpriteContent(java.lang.String id,
                       java.lang.String refClass)

      Simple constructor that receives and identifier and a reference class
      Parameters:
        `id` - object identifier.
        `refClass` - class this object is mapped to.

    - #### SpriteContent

          public SpriteContent(java.lang.String line)

      Constructor that extracts the contents from a String line
      Parameters:
        `line` - String with the contents in VGDL format, to be mapped to the data structures of this class.

  - ### Method Detail

    - #### assignTypes

          public void assignTypes(java.util.ArrayList<java.lang.String> types)

    - #### toString

          public java.lang.String toString()

      Returns the original line of the content.
      Overrides:
        `toString` in class `Content`
      Returns:
        original line, in VGDL format.